DocRef (BioJava-1.5-beta API)
Keywords: org.biojavax.DocRef interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Interface DocRef

All Superinterfaces:
  Changeable, Comparable

All Known Implementing Classes:
  SimpleDocRef

    public interface DocRef

extends Comparable, Changeable

Represents a documentary reference. Relates to the reference table in BioSQL.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland
See Also:
  `RankedDocRef`

Field Summary
`static ChangeType` | `CROSSREF`
`static ChangeType` | `REMARK`

Method Summary
`List` | `getAuthorList()` Returns the authors of the document reference as a set of DocRefAuthor implementation instances.
`String` | `getAuthors()` Returns the authors of the document reference.
`String` | `getCRC()` Returns a CRC64 checksum of this document reference, allowing for easy comparisons with other document references.
`CrossRef` | `getCrossref()` The document reference may refer to an object in another database.
`String` | `getLocation()` Returns a textual description of the document reference.
`String` | `getRemark()` If remarks have been made about this document reference, this method will return them.
`String` | `getTitle()` Returns the title of the document reference.
`void` | `setCrossref(CrossRef crossref)` The document reference may refer to an object in another database.
`void` | `setRemark(String Remark)` Set the remarks for this document reference using this method.

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### CROSSREF

    static final ChangeType CROSSREF

### REMARK

    static final ChangeType REMARK

Method Detail

### getCrossref

    CrossRef getCrossref()

  The document reference may refer to an object in another database. If so, this method will return that reference.

  Returns:
    Value of property crossref.

### setCrossref

    void setCrossref(CrossRef crossref)
                     throws ChangeVetoException

  The document reference may refer to an object in another database. Use this method to set that reference. Null will unset it.

  Parameters:
    `crossref` - New value of property crossref.
  Throws:
    `ChangeVetoException` - in case of objections.

### getLocation

    String getLocation()

  Returns a textual description of the document reference. This field is immutable so should be set using the constructor of the implementing class.

  Returns:
    Value of property location.

### getTitle

    String getTitle()

  Returns the title of the document reference.

  Returns:
    Value of property title.

### getAuthors

    String getAuthors()

  Returns the authors of the document reference. It will usually be in the form "Jones H., Bloggs J et al" or similar - a human-readable text value. Editors will have (ed.) appended, consortiums will have (consortium) appended.

  Returns:
    Value of property authors.

### getAuthorList

    List getAuthorList()

  Returns the authors of the document reference as a set of DocRefAuthor implementation instances. This field is immutable so should be set using the constructor of the implementing class.

  Returns:
    The set of authors.

### getCRC

    String getCRC()

  Returns a CRC64 checksum of this document reference, allowing for easy comparisons with other document references.

  Returns:
    Value of property CRC.

### getRemark

    String getRemark()

  If remarks have been made about this document reference, this method will return them.

  Returns:
    Value of property Remark.

### setRemark

    void setRemark(String Remark)
                   throws ChangeVetoException

  Set the remarks for this document reference using this method. Remarks can be anything, it is derived from the equivalent field in the GenBank format.

  Parameters:
    `Remark` - New value of property Remark.
  Throws:
    `ChangeVetoException` - in case of objections.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD